nemiver i386 not listed in repo

Peter Gordon peter at
Wed Mar 26 00:06:25 UTC 2008

On Tue, 2008-03-25 at 07:40 -0400, Jesse Keating wrote:
> Actually it looks like a packaging bug.  nemiver-devel-0.5.1-1.fc9.i386
> has a require of nemiver-0.5.1-1.fc9, which nemiver-0.5.1-1.fc9.x86_64
> satisfies.  Usually a -devel package will have a .so symlink to an
> actual library file that is in an arch specific package, which is how
> the arch specific multilib package gets pulled into the repo.

Thanks, Jesse & Michael. 

I looked into it a bit further and this does indeed seem to be a bug on
the package itself. In 0.4.0, the -devel properly held a symlink to the
original library, but because that was moved in the 0.5.x builds, that
symlink was also removed (and thus the -devel package contains only data
files: incude headers and the pkgconfig-foo).

What would be the best solution to resolve this? Should I add a symlink
in the -devel subpackage manually? (This would resolve to within the %
libdir/nemiver directory, too, which I think was one other bug that
needed a squashing.)
Peter Gordon (codergeek42)
GnuPG Public Key ID: 0xFFC19479 / Fingerprint:
  DD68 A414 56BD 6368 D957 9666 4268 CB7A FFC1 9479

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: This is a digitally signed message part
Url : 

More information about the test mailing list